Subject: Re: Cygwin-Perl upgrade and modules
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 24 Aug 2004 22:50:24 -0700

On Tue, Aug 24, 2004 at 08:38:09PM -0400, Gary Nielson wrote:
> The other day, I decided to finally update all my cygwin packages with
> setup.exe -- including perl. Went from 5.8.0 to 5.8.5 and now realize that
> the path to all the modules I installed is under the older version at
> /usr/lib/perl5/site_perl/5.8.0 instead of  /usr/lib/perl5/site_perl/5.8.5.
> I've always shied away from upgrading perl in Linux so don't have much
> experience dealing with modules from older installations. Must I re-install
> all these modules, or can I add a path to them in my scripts, or should I
> revert back to the older version of perl and if so, how? Any help
> appreciated.

For perl in general, versions from 5.8.2 to 5.8.5 are supposed to have
backward compatibility with 5.8.0-built modules.

However, the cygwin perl 5.8.0 was non-threaded and the cygwin perl
5.8.2 and 5.8.5 are threaded, which makes them incompatible, so any
xs modules will need to be reinstalled.  The CPAN autobundle command
is supposed to provide a fairly easy way to do this, but I haven't
used it myself (and you need to do it before uninstalling 5.8.0.)

I think the last 5.8.0 package was named perl-5.8.0-5.tar.bz2.  Try
googling for that filename to see if it is available somewhere on a
stale mirror.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/